Operations Management/Tenant Management (Plus)/Project Operations
PUTProject OperationsSince 2.4.0SynchronousAuth Required
UpdateIAM2VirtualID
UpdateIAM2VirtualID
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
updateiam2virtualidObjectRequiredupdateiam2virtualid request body object.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
passwordStringOptional. The password.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/iam2/virtual-ids/{uuid}/actions
/zstack/v1/iam2/virtual-ids/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/iam2/virtual-ids/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updateiam2virtualid":{"name":"<name>","description":"<description>","password":"<password>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "4906f550acb843b7ae64c32fbf7251c3", "name": "id1", "state": "Enabled", "attributes": [ { "uuid": "b0926ede396547f9b1f6199c05ffe4d4", "name": "attribute-name", "value": "attribute-value", "type": "Customized" } ] } }Change History
This API has no change history records yet.
